<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>3.1.0</version>
    </parent>
    <groupId>com.kingtom.shengtai</groupId>
    <artifactId>shengtai_server</artifactId>
    <version>1.0</version>
    <properties>
        <java.version>17</java.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <kirin.version>2.0</kirin.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.kingtom.kirin</groupId>
                <artifactId>kirin_dependencies</artifactId>
                <version>2.0</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <!-- 基本 -->
        <dependency>
            <groupId>com.kingtom.kirin</groupId>
            <artifactId>kirin_api_core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-websocket</artifactId>
        </dependency>
    </dependencies>

    <build>
        <finalName>shengtai</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
                <plugin>
                    <groupId>com.kingtom.kirin</groupId>
                    <artifactId>kirin-generator-maven-plugin</artifactId>
                    <version>2.0</version>
                    <configuration>
                        <configLocation>${project.basedir}/src/main/resources/kirin-generator.xml</configLocation>
                    </configuration>
                </plugin>
        </plugins>
    </build>

    <distributionManagement>
        <repository>
            <id>releases</id>
            <url>http://116.204.115.13:8081/repository/maven-releases/</url>
        </repository>
        <snapshotRepository>
            <id>snapshots</id>
            <url>http://116.204.115.13:8081/repository/maven-snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

</project>